# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "seiso-connector"
  spec.version       = "0.1.7"
  spec.authors       = ["Willie Wheeler"]
  spec.email         = ["wwheeler@expedia.com"]
  spec.summary       = "Connector to make it easier for Ruby clients to talk to the Seiso REST API."
  spec.description   = "Very basic at this point. Plan to support pagination, sorting, searching and more in the future."
  spec.homepage      = "http://seiso.io"
  spec.license       = "Apache-2.0"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency "json", "~> 1.7"
  spec.add_runtime_dependency "require_all", "~> 1.3.2"
end
