require 'seiso/connector'
require 'minitest/autorun'

# Author:: Willie Wheeler
# Copyright:: Copyright (c) 2014-2015 Expedia, Inc.
# License:: Apache 2.0
class TestConnector < MiniTest::Unit::TestCase

  def setup
    @settings = {
      "host" => 'somehost',
      "port" => 1234,
      "use_ssl" => false,
      "ignore_cert" => false,
      "username" => "someusername",
      "password" => "somep@ssword"
    }

    # This creates the HTTP connector internally.
    # Probably want to inject a mock?
    @connector = Seiso::Connector.new(@settings)
  end

  def test_init
    refute_nil(@connector.connector_v1)
  end
end
