require 'seiso/connector/connector_v1'
require 'minitest/autorun'

# Author:: Willie Wheeler
# Copyright:: Copyright (c) 2015 Expedia, Inc.
# License:: Apache 2.0
class TestConnectorV1 < MiniTest::Unit::TestCase

  def setup

    # Test data
    @username = "willie"
    @password = "rocket88"

    # Dependencies
    @http = {}

    # Class under test
    @connector = Seiso::Connector::ConnectorV1.new(@http, @username, @password)
  end

  def test_init
    assert_equal(@http, @connector.http)
    assert_equal(@username, @connector.username)
  end
end
